/*************************************************************************
*  ユーザ提供SDTP関数サンプルプログラム (インクルードファイル)
*
*  呼び出し形式
*     #include "MMO_data.h"
*
*
*  DATE    2012.06.18  作成
*
**************************************************************************/

#ifndef __MMO_DATA_H__
#define __MMO_DATA_H__

/*****************************
  MMO ユーザ用パケット領域
 *****************************/
struct tlm_pkt {
    unsigned char ad_ver[1];
    unsigned char ad_sat[1];
    unsigned char ad_tim[10];
    unsigned char ad_bnd[1];
    unsigned char ad_dm1[1];
    unsigned char ad_dm2[1];
    unsigned char ad_lck[1];
    unsigned char ad_brt[1];
    unsigned char ad_pno[5];
    unsigned char ad_dm3[1];
    unsigned char ad_ant[1];
    unsigned char ad_rsv[8];
    unsigned char ad_rs2[32];

    unsigned char ccsds_h1[6];		/* packet header */
    unsigned char ccsds_h2[8];		/* 2nd header */
    unsigned char u_data[65532];	/* TB checked*/

} P_tlm[64];

int ipkt_len[64];		/* packet Length */
int ipkt_cnt;			/* get packet count */

int sat_no;			/* satellite number */
//unsigned char path_no[10];    /* path number */
unsigned char path_no[20];	/* path number */

/****************************
   読み込み用セーブ領域
   ユーザ側使用不可
 ****************************/
#define PKTCNT 16
struct tlm_L1 {
    unsigned char add_inf[64];
    uint8_t pkt_hed[6];		/* packet header */
    unsigned char t_head[4];	/* time 2nd header */
    unsigned char categ;	/* Category */
    unsigned char p_ident;	/* packet Identifier */
    uint8_t p_fg_cnt;		/* packet sequence flag  for each PDU &  ADU cout  */
    uint8_t psq_cnt[2];		/* packet sequence count for each PDU */
    uint8_t adu_lng[3];		/* ADU length  */
    unsigned char t_frame[65524];
};



struct tlm_L1 read_pkt;		/* recieve packet data */
struct tlm_L1 save_pkt[PKTCNT];	/* packet data save Assembly */
int save_pno[PKTCNT];

int blk_no;			/*ブロック化係数 */
int iseg_flg[PKTCNT];		/* 1=first: 0=last or end: 2>continuatuion Data */
int iseq_cnt[PKTCNT];		/* sequence count set */
int ip_lenSav[PKTCNT];		/* ccsds Total length  save */

int iseq_chk;			/* シーケンスフラグチェック　1:有り　0:無し */

#endif				/* __MMO_DATA_H__ */
