////////////////////////////////////////////////////////////////////////////////
//
//	Module	CALIB
//
//	Definition of MEA1 and MEA2 calibration parameters
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__CALIB_H
#define	__CALIB_H

#define	NB_CHANNELS	16
#define	NB_SECTORS	16

extern	float	theta[];
extern	float	phi[];


typedef struct {
	float	max;
	float	moy;
	float	min;
}	energy_bin_t;

typedef	energy_bin_t * energy_table_t;

//	Initialize calibration parameters
//
t_err	Calib_init(char * instrument, t_date date);


//	Return energy table for a given mode (1,2,3,4)
//
energy_table_t Get_energy_table (int energy_mode, int size);

#endif
