////////////////////////////////////////////////////////////////////////////////
//
//	BEPI software tools to handle file system interface
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__INTERFACE_H
#define	__INTERFACE_H

#include "TIMETAGS.h"

#define	FILENAME_LENGTH		512

typedef	char	t_filename [FILENAME_LENGTH];


//	Check BEPI_ROOT environment variable
//
t_err	Check_BEPI_root (void);


//	Redirecting stdout into logfile
//
t_err	Set_logfile (char * filename);


//	Create directory
//
t_err	Create_directory (t_filename directory);


//	Return filename of the RESET database
//
char *	Get_RESET_filename ();

//	Compute L1 directory for a given spacecraft and date
//
char *	Get_L0_directory (char * instrument, t_date date);
char *	Get_L1_directory (char * instrument, t_date date);


//	Return filename for a given instrument, date and key
//
char *	Get_L0_filename (char * instrument, t_date date, char * key, char * ext);
char *	Get_L1_filename (char * instrument, t_date date, char * key, char * ext);
char *	Get_L2_filename (char * instrument, t_date date, char * key, char * ext);


//	Return master CDF filename for a given instrument and key
//
char *	Get_L1_master_CDF (char * instrument, char * key);


#endif
